r2649 - in jhalfs/branches/experimental: . common optimize

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Sat May 6 03:35:21 PDT 2006


Author: manuel
Date: 2006-05-06 04:35:19 -0600 (Sat, 06 May 2006)
New Revision: 2649

Added:
   jhalfs/branches/experimental/optimize/optimize_functions
Modified:
   jhalfs/branches/experimental/common/common-functions
   jhalfs/branches/experimental/master.sh
Log:
Added optimize/optimize_functions.

Modified: jhalfs/branches/experimental/common/common-functions
===================================================================
--- jhalfs/branches/experimental/common/common-functions	2006-05-06 10:10:33 UTC (rev 2648)
+++ jhalfs/branches/experimental/common/common-functions	2006-05-06 10:35:19 UTC (rev 2649)
@@ -288,33 +288,6 @@
 
 
 #----------------------------------#
-wrt_optimize() {                   # Apply pkg specific opt's to build
-#----------------------------------#
-  local pkg=$1
-  local optLvl optVal OPT_VAR
-
-  optLvl=`awk -v pkg="$pkg" '$1 == pkg { print $2 }' $JHALFSDIR/opt_override`
-  if [[ "$optLvl" = "" ]] ; then
-    optLvl=$DEF_OPT_LVL;
-  fi
-
-  for OPT_VAR in $ACTIVE_OPT_VARS ; do
-    eval optVal=\$${OPT_VAR}_$optLvl
-
-    if [[ "$optVal" != "unset" ]]; then
-(
-cat << EOF
-	@echo "export $OPT_VAR=\"$optVal\"" >> envars
-EOF
-) >> $MKFILE.tmp
-    else
-      continue
-    fi
-  done
-}
-
-
-#----------------------------------#
 wrt_run_as_su() {                  # Execute script inside time { }, footer to log file
 #----------------------------------#
   local this_script=$1

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-05-06 10:10:33 UTC (rev 2648)
+++ jhalfs/branches/experimental/master.sh	2006-05-06 10:35:19 UTC (rev 2649)
@@ -464,6 +464,14 @@
   [[ $VERBOSITY > 0 ]] && echo "OK"
 fi
 #
+# optimize module
+if [[ "$OPTIMIZE" != "0" ]]; then
+  [[ $VERBOSITY > 0 ]] && echo -n "Loading optimization module..."
+  source optimize/optimize_functions
+  [[ $? > 0 ]] && echo " optimize/optimize_functions did not load.." && exit
+  [[ $VERBOSITY > 0 ]] && echo "OK"
+fi
+#
 # optimize configurations
 if [[ "$OPTIMIZE" != "0" ]]; then
   [[ $VERBOSITY > 0 ]] && echo -n "Loading optimization config..."

Added: jhalfs/branches/experimental/optimize/optimize_functions
===================================================================
--- jhalfs/branches/experimental/optimize/optimize_functions	                        (rev 0)
+++ jhalfs/branches/experimental/optimize/optimize_functions	2006-05-06 10:35:19 UTC (rev 2649)
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# $Id$
+
+set +e
+
+
+#----------------------------------#
+wrt_optimize() {                   # Apply pkg specific opt's to build
+#----------------------------------#
+  local pkg=$1
+  local optLvl optVal OPT_VAR
+
+  optLvl=`awk -v pkg="$pkg" '$1 == pkg { print $2 }' $JHALFSDIR/opt_override`
+  if [[ "$optLvl" = "" ]] ; then
+    optLvl=$DEF_OPT_LVL;
+  fi
+
+  for OPT_VAR in $ACTIVE_OPT_VARS ; do
+    eval optVal=\$${OPT_VAR}_$optLvl
+
+    if [[ "$optVal" != "unset" ]]; then
+(
+cat << EOF
+	@echo "export $OPT_VAR=\"$optVal\"" >> envars
+EOF
+) >> $MKFILE.tmp
+    else
+      continue
+    fi
+  done
+}
\ No newline at end of file


Property changes on: jhalfs/branches/experimental/optimize/optimize_functions
___________________________________________________________________
Name: svn:keywords
   + Author Date Revision Id




More information about the alfs-log mailing list